Subject: Re: 2.5g/3g ID additions (RE: pilc minutes (corrected))

From: Reiner Ludwig <[email-masked]>
Date: Mon, 21 Jan 2002 17:18:26 +0100

Hi Farid,

thanks for your text. In general, I think it looks pretty OK. However, 
there is one major comment I have ...

At 00:29 18.01.2002, Farid Khafizov wrote:
>2. Bandwidth Oscillation
>Limited RF spectrum along with high data rate requirement for 2.5G/3G 
>wireless systems necessitate dynamic resource sharing among concurrent 
>data users. Various scheduling mechanisms can be deployed in order to 
>maximize resource utilization. Some of the limited resources in CDMA based 
>systems (e.g., UMTS, CDMA2000) are orthogonal codes and RF transmit power. 
>Shared channels in UMTS [N1] and supplemental channels in CDMA2000 [N2], [....]
This text suggests that bandwidth oscillation is also a characteristic of 
WCDMA/UMTS. This is *not* the case!

The reason for this problem in CDMA2000 seems to be the use of the finite 
burst mode which limits the access to the high speed supplemental channel 
to 14 time units. In WCDMA/UMTS we have no such mechanism.

Yes, bandwidth can also oscillate in WCDMA/UMTS, *but* on the scale of some 
tens of milliseconds. This is certainly not a problem for TCP. The closest 
thing to bandwidth oscillation I can imagine in WCDMA/UMTS would be a 
periodic switch between a high speed dedicated and the common channel. 
However, I don't think any manufacturer or operator plans to do this (it 
will result in a very unstable system).

So, please, remove the reference to WCDMA/UMTS from your text.

///Reiner

---

From: "Farid Khafizov" <[email-masked]>
Date: Tue, 29 Jan 2002 11:13:15 -0600

Aaron: 

> What is a Packet Data Serving Node?

Description of PDSN can be mentioned in the upcoming section "2.7.2
CDMA2000".
Packet Data Service Node (PDSN) is a node connecting cdma2000 
wireless sub-network to Packet Data Network (PDN).
Similar to GGSN (Serving GPRS Support node) in UMTS, it can terminate PPP.

Earlier versions of this draft had simplified protocol stack for UMTS.
What was the reason for removing it?

> per Mark: DSACK helps here too, no?

you are right. We added a sentence in Bandwidth Oscillation text saying that
DSACK helps.

--Farid

> -----Original Message-----
> From:	Aaron Falk [SMTP:[email-masked]]
> Sent:	Thursday, January 17, 2002 5:56 PM
> To:	Khafizov, Farid [RICH2:2N51:EXCH]
> Cc:	[email-masked]'; 'Hiroshi INAMURA'; Yavuz, Mehmet
> [RICH2:2N51:EXCH]
> Subject:	Re: 2.5g/3g ID additions (RE: pilc minutes (corrected))
> 
> > 1. Disabling Van Jacobson TCP/IP Header Compression 
> > 
> > Van Jacobson TCP/IP header compression (VJC) algorithm [35] is
> negotiated
> > between peer PPP layers. In CDMA2000 networks it could be implemented
> > between the Mobile Terminal Equipment, such as laptop computer, and the
> > Packet Data Serving Node. 
  
  What is a Packet Data Serving Node?
>  
> > The algorithm was designed to increase
> > application layer throughput by reducing packetization overhead [11].
> For
> > TCP segment size of 1000 Bytes, enabling VJC increases throughput by
> > about 4%, if there is no packet loss. 
> > 
> 
> <snip>
> 
> > 
> > 2. Bandwidth Oscillation 
> > 
> 
> <snip>
> 
> > 
> > Analysis of RTO algorithm along with an alternative (Eifel) algorithm
> are
> > presented in [17]. 
> 
> per Mark: DSACK helps here too, no?
> 
> > Eifel algorithm requires timestamp option and at least
> > one RTO expiration before TCP "learns" that retransmission was not
> > necessary. Enabling timestamp option enables increased RTT sampling
> which
> > can reduce spurious re-transmissions due to Bandwidth Oscillation. Other
> > options that could reduce spurious re-transmissions due to Bandwidth
> > Oscillation are increase CWND and reduce delay ACK timer at Receiving
> TCP
> > to < 100 ms (however, this technique may have side effects in case
> > bandwidth is limited in the opposite direction). 
> > 
> > 
> 
> 
> --aaron